import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import '../../../stencil.core';
import { EventEmitter } from '../../../stencil.core';
export declare class Graph {
    elements: any[];
    html: string;
    initialized: boolean;
    _svgElement: any;
    el: HTMLElement;
    data: any;
    dataJson: string;
    visible: boolean;
    redraw: boolean;
    artboard: any;
    constructor();
    componentDidLoad(): void;
    componentDidUpdate(): void;
    hide(duration?: number, delay?: number, visible?: boolean): void;
    show(duration?: number, delay?: number, display?: string): void;
    setData(data: any): void;
    getElements(): any[];
    svgElementClick: EventEmitter;
    svgElementClickHandler(e: Event): void;
    setClickHandlers(): void;
    parseHtml(html: any): any;
    postRender(): void;
    renderSvg(): void;
    replaceAll(src: any, str1: any, str2: any, ignore?: boolean): string;
    getAttributes(el: HTMLElement): {};
    fadeIn(el: any, duration?: number, delay?: number, display?: string): void;
    fadeOut(el: HTMLElement, duration?: number, delay?: number, visible?: boolean): void;
    render(): JSX.Element;
}
